Skip to main content
POST
/
terminals
/
{terminalId}
/
connectionTokens
Create a terminal connection token
curl --request POST \
  --url https://api.guile.app/terminals/{terminalId}/connectionTokens \
  --header 'Authorization: Bearer <token>'
{
  "clientSecret": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Path Parameters

terminalId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Response

Created.

Connection token used by the app to connect to the in-person payment session.

clientSecret
string
required

The client secret associated with the payment processor integration.

expiresAt
string<date-time>

The expiration date-time for this connection token.